Bug 206872 - Review Request: sipsak - SIP swiss army knife
Review Request: sipsak - SIP swiss army knife
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-17 11:17 EDT by Peter Lemenkov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-07 03:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2006-09-17 11:17:13 EDT
Spec URL: http://lemenkov.newmail.ru/SPECS/sipsak.spec
SRPM URL: http://lemenkov.newmail.ru/SRPMS/sipsak-0.9.6-1.src.rpm

Description: sipsak is a small command line tool for developers and
administrators of Session Initiation Protocol (SIP) applications.
It can be used for some simple tests on SIP applications and
devices.
Comment 1 Peter Lemenkov 2006-09-17 13:20:20 EDT
The main difficuty with this package is its options. It can be compiled with
internal MD5 routines, with OpenSSL-based ones or even with GnuTLS. I have no
idea which one is better. Guys from Mandriva used internal MD5 routines, but I
prefer more modularity and reuse of components.

Another one alternative is DNS-related part. Sipsak allows us to choose betwee
c-ares (already in FE) and RULI-library (which isn't in FE still). So I prefer
first variant here.
Comment 2 Mamoru TASAKA 2006-10-05 09:29:24 EDT
(In reply to comment #1)
> The main difficuty with this package is its options. It can be compiled with
> internal MD5 routines, with OpenSSL-based ones or even with GnuTLS. I have no
> idea which one is better. Guys from Mandriva used internal MD5 routines, but I
> prefer more modularity and reuse of components.

Your choice is no problem. With openssl-devel installed, configure
defines "HAVE_EXTERNAL_MD5". Then md5.c is then essectially empty
and this package uses surely "external" openssl routine.

I will do full review later.
Comment 3 Mamoru TASAKA 2006-10-05 10:39:10 EDT
First review of this package.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Licensing
  - Add "COPYING" to binary. This is a MUST item.

* Changelogs
  - Don't use macros (i.e. don't use %{?dist}). Note:
    adding %{?dist} to Changelog is not necessary.

2. http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
  = Nothing.

Fix the two things above. Other things are okay.

--------------------------------------------------------
   This package (sipsak) is APPROVED by me.
Comment 4 Peter Lemenkov 2006-10-07 03:04:07 EDT
All done. Thanks for review!
Comment 5 Kevin Fenzi 2006-12-21 22:10:29 EST
Changing summary for tracking purposes. 
Comment 6 Peter Lemenkov 2007-07-24 04:59:32 EDT
Package Change Request
======================
Package Name: sipsak
New Branches: EL-4 EL-5
Comment 7 Jens Petersen 2007-07-24 10:52:00 EDT
added

Note You need to log in before you can comment on or make changes to this bug.